package App::POS::Printer::EmptyModel;

use strict;
use warnings;

use base qw( App::Class );

sub tweak_content {}

sub init {
  my $self = shift;
}

sub logo {
  return "";
}

sub document_start {
  return "";
}

sub document_end {
  return "";
}

sub print_invert {
  return "";
}

sub print_normal {
  return "";
}

sub black {
  return "";
}

sub red {
  return "";
}

sub bold {
  return "";
}

sub size_small {
  return "";
}

sub size_double {
  return "";
}

sub size_huge {
  return "";
}

sub size_normal {
  return "";
}

sub underlined {
  return "";
}

sub underlined_off {
  return "";
}

sub line_change {
  return "";
}

sub cashdrawer1_open {
  return "";
}

sub cashdrawer2_open {
  return "";
}

sub paper_cut {
  return "";
}

sub bell {
  return "";
}

sub line_spacing_normal {
  return "";
}

sub line_spacing_big {
  return "";
}

sub barcode {
  return "";
}

sub barcode_small {
  return "";
}

sub barcode_big {
  return "";
}

sub justify_right {
  return "";
}
sub justify_center {
  return "";
}

sub justify_left {
  return "";
}

1;


